<?php
	$id = $_GET['id'];

	if(isset($_POST['edytuj'])){

		if( $_POST['nazwa']==NULL ) {
			komunikat("Błąd","Wypełnij wszystkie wymagane pola");
		}
		else {
		
			$zapytanie = "UPDATE ".$db_pref."pliki SET nazwa='".$_POST['nazwa']."' WHERE id='$id'";
			
			if( mysql_query($zapytanie) )
				komunikat("Komunikat","Dane pliku zostały poprawnie zaktualizowane");
			else
				komunikat("Błąd SQL",mysql_error());
				
		}
		
		
	}


	if(isset($komunikat)){
		komunikat("Komunikat",$komunikat);
	}

		
	$wynik = mysql_query("SELECT * FROM ".$db_pref."pliki WHERE id='".$id."';");
	$wiersz = mysql_fetch_array($wynik);
	$nazwa = $wiersz['nazwa'];

	echo '

			<form name="form_pliki" action="?go=edytuj_plik&id='.$id.'" method="post" class="f-wrap-1" enctype="multipart/form-data">

				<div class="req"><b>*</b> Pola wymagane</div>

				<fieldset>

				<h3>Dane pliku</h3>

			
';

echo'			
 	<label for="p1"><b><span style="color:#c00;font-size:120%">* </span>Nazwa pliku:</b>
		<input id="nazwa" name="nazwa" type="text" class="f-name" tabindex="1" value="'.$nazwa.'" />
	</label>
	 	
			<br/><br/>
			<div class="f-submit-wrap">
				<input type="submit" name="edytuj" value="Zapisz zmiany" class="f-submit" /><br />
			</div>

		</fieldset>

	</form>
';

?>
